Skip to main content
POST
/
v2
/
{entity}
/
{project}
/
scores
Score Create
curl --request POST \
  --url https://api.example.com/v2/{entity}/{project}/scores \
  --header 'Content-Type: application/json' \
  --data '
{
  "prediction_id": "<string>",
  "scorer": "<string>",
  "value": "<unknown>",
  "evaluation_run_id": "<string>"
}
'
import requests

url = "https://api.example.com/v2/{entity}/{project}/scores"

payload = {
"prediction_id": "<string>",
"scorer": "<string>",
"value": "<unknown>",
"evaluation_run_id": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
prediction_id: '<string>',
scorer: '<string>',
value: '<unknown>',
evaluation_run_id: '<string>'
})
};

fetch('https://api.example.com/v2/{entity}/{project}/scores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "score_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity
string
required
project
string
required

Body

application/json

Request body for creating a Score via REST API.

This model excludes project_id since it comes from the URL path in RESTful endpoints.

prediction_id
string
required

The prediction ID

scorer
string
required

The scorer reference (weave:// URI)

value
any
required

The raw output of the scorer

evaluation_run_id
string | null

Optional evaluation run ID to link this score as a child call

Response

Successful Response

score_id
string
required

The score ID